org.apache.fop.render.pdf.pdfbox

## Class PSPDFGraphics2D

- java.lang.Object
- - java.awt.Graphics
  - - java.awt.Graphics2D
    - - org.apache.xmlgraphics.java2d.AbstractGraphics2D
      - - org.apache.xmlgraphics.java2d.ps.PSGraphics2D
        - - org.apache.fop.render.pdf.pdfbox.PSPDFGraphics2D

- All Implemented Interfaces:
    java.lang.Cloneable

      public class PSPDFGraphics2D
      extends org.apache.xmlgraphics.java2d.ps.PSGraphics2D

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.java2d.ps.PSGraphics2D

      `clippingDisabled, currentColour, customTextHandler, fallbackTextHandler, gen, pathHashCache, rootG2D, startCache`

    - ### Fields inherited from class org.apache.xmlgraphics.java2d.AbstractGraphics2D

      `gc, inPossibleRecursion, textAsShapes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSPDFGraphics2D(boolean textAsShapes)`
    `PSPDFGraphics2D(boolean textAsShapes, org.apache.xmlgraphics.ps.PSGenerator gen)`
    `PSPDFGraphics2D(org.apache.xmlgraphics.java2d.ps.PSGraphics2D g)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyPaint(java.awt.Paint paint, boolean fill)`
    `void` | `clearRect(int x, int y, int width, int height)`
    `boolean` | `drawImage(java.awt.Image img, int x1, int y1, java.awt.image.ImageObserver observer)`
    `void` | `fill(java.awt.Shape shape)`
    `protected static org.apache.fop.render.gradient.Function` | `getFunction(org.apache.pdfbox.pdmodel.common.function.PDFunction f)`

    - ### Methods inherited from class org.apache.xmlgraphics.java2d.ps.PSGraphics2D

      `applyStroke, applyStroke, buildBufferedImage, copyArea, create, disableClipping, dispose, doDrawing, draw, drawImage, drawImage, drawImage, drawRenderableImage, drawRenderedImage, drawString, establishColor, getCustomTextHandler, getDeviceConfiguration, getFallbackTextHandler, getFontMetrics, getPSGenerator, handleIOException, preparePainting, processPathIterator, processPathIteratorCached, processPathIteratorToString, processShape, setCustomTextHandler, setGraphicContext, setPSGenerator, setXORMode, shouldBeClipped, writeClip`

    - ### Methods inherited from class org.apache.xmlgraphics.java2d.AbstractGraphics2D

      `addRenderingHints, clip, clipRect, drawArc, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolyline, drawRect, drawRoundRect, drawString, drawString, drawString, fillArc, fillOval, fillPolygon, fillRect, fillRoundRect, getBackground, getClip, getClipBounds, getColor, getComposite, getFont, getFontRenderContext, getGraphicContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, hit, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, shear, transform, translate, translate`

    - ### Methods inherited from class java.awt.Graphics2D

      `draw3DRect, fill3DRect`

    - ### Methods inherited from class java.awt.Graphics

      `create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PSPDFGraphics2D

          public PSPDFGraphics2D(boolean textAsShapes)

    - #### PSPDFGraphics2D

          public PSPDFGraphics2D(org.apache.xmlgraphics.java2d.ps.PSGraphics2D g)

    - #### PSPDFGraphics2D

          public PSPDFGraphics2D(boolean textAsShapes,
                                 org.apache.xmlgraphics.ps.PSGenerator gen)

  - ### Method Detail

    - #### clearRect

          public void clearRect(int x,
                                int y,
                                int width,
                                int height)

      Overrides:
        `clearRect` in class `org.apache.xmlgraphics.java2d.AbstractGraphics2D`

    - #### applyPaint

          protected void applyPaint(java.awt.Paint paint,
                                    boolean fill)

      Overrides:
        `applyPaint` in class `org.apache.xmlgraphics.java2d.ps.PSGraphics2D`

    - #### fill

          public void fill(java.awt.Shape shape)

      Overrides:
        `fill` in class `org.apache.xmlgraphics.java2d.ps.PSGraphics2D`

    - #### getFunction

          protected static org.apache.fop.render.gradient.Function getFunction(org.apache.pdfbox.pdmodel.common.function.PDFunction f)
                                                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                                   int x1,
                                   int y1,
                                   java.awt.image.ImageObserver observer)

      Overrides:
        `drawImage` in class `org.apache.xmlgraphics.java2d.ps.PSGraphics2D`

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.